from typing import AnyStr, Optional
from requests import Response

class GencfgApiError(Exception):
    url: AnyStr = ...
    code: int = ...
    gencfg_response: Response = ...
    message: AnyStr = ...
    def __init__(self, gencfg_response: Optional[Response], *args, **kwargs): ...

class GencfgGroupNotFound(GencfgApiError):
    group: AnyStr = ...
    tag: AnyStr = ...
    message: AnyStr = ...
    def __init__(self, group: AnyStr, tag: AnyStr, *args, **kwargs): ...

class InvalidTag(ValueError): ...
